# Uses of Class
com.google.protobuf.EnumValue

Packages that use EnumValue
Package
Description
com.google.protobuf

## Uses of EnumValue in com.google.protobuf

Methods in com.google.protobuf that return EnumValue
Modifier and Type
Method
Description
`EnumValue`
EnumValue.Builder.`build()`
`EnumValue`
EnumValue.Builder.`buildPartial()`
`static EnumValue`
EnumValue.`getDefaultInstance()`
`EnumValue`
EnumValue.Builder.`getDefaultInstanceForType()`
`EnumValue`
EnumValue.`getDefaultInstanceForType()`
`EnumValue`
Enum.Builder.`getEnumvalue(int index)`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`EnumValue`
Enum.`getEnumvalue(int index)`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`EnumValue`
EnumOrBuilder.`getEnumvalue(int index)`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`static EnumValue`
EnumValue.`parseDelimitedFrom(InputStream input)`
`static EnumValue`
EnumValue.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static EnumValue`
EnumValue.`parseFrom(byte[] data)`
`static EnumValue`
EnumValue.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static EnumValue`
EnumValue.`parseFrom(ByteString data)`
`static EnumValue`
EnumValue.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static EnumValue`
EnumValue.`parseFrom(CodedInputStream input)`
`static EnumValue`
EnumValue.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static EnumValue`
EnumValue.`parseFrom(InputStream input)`
`static EnumValue`
EnumValue.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static EnumValue`
EnumValue.`parseFrom(ByteBuffer data)`
`static EnumValue`
EnumValue.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type EnumValue
Modifier and Type
Method
Description
`List<EnumValue>`
Enum.Builder.`getEnumvalueList()`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`List<EnumValue>`
Enum.`getEnumvalueList()`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`List<EnumValue>`
EnumOrBuilder.`getEnumvalueList()`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`Parser<EnumValue>`
EnumValue.`getParserForType()`
`static Parser<EnumValue>`
EnumValue.`parser()`
Methods in com.google.protobuf with parameters of type EnumValue
Modifier and Type
Method
Description
`Enum.Builder`
Enum.Builder.`addEnumvalue(int index, EnumValue value)`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`Enum.Builder`
Enum.Builder.`addEnumvalue(EnumValue value)`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
`EnumValue.Builder`
EnumValue.Builder.`mergeFrom(EnumValue other)`
`static EnumValue.Builder`
EnumValue.`newBuilder(EnumValue prototype)`
`Enum.Builder`
Enum.Builder.`setEnumvalue(int index, EnumValue value)`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`
Method parameters in com.google.protobuf with type arguments of type EnumValue
Modifier and Type
Method
Description
`Enum.Builder`
Enum.Builder.`addAllEnumvalue(Iterable<? extends EnumValue> values)`
`repeated .google.protobuf.EnumValue enumvalue = 2 [json_name = "enumvalue"];`